The following error is shown when a stonith device is created: `Error: Agent 'fence_ipmilan'; is not installed or does not provide valid metadata: Metadata query for stonith:fence_ipmilan failed: -5, use --force to override`

Solution Unverified - Updated -

Issue

  • Creating/Updating a stonith device fails, and the following message is shown:

    Error: Agent 'fence_ipmilan' is not installed or does not provide valid metadata: Metadata query for stonith:fence_ipmilan failed: -5, use --force to override
    

    or

    Error: Agent 'fence_ipmilan' is not installed or does not provide valid metadata: Metadata query for stonith:fence_ipmilan failed: Input/output error, use --force to override
    

    or

    Error: Agent 'fence_ipmilan' is not installed or does not provide valid metadata: Metadata query for stonith:fence_ipmilan failed: Input/output error
    

Environment

  • Red Hat Enterprise Linux 7.3 or later
  • High Availability or Resilient Storage add-on
  • kernel-3.10.0-514.el7 or later
  • pacemaker

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In